/**
 * Theme Name:     Twenty Twenty-Five Child
 * Author:         the WordPress team
 * Template:       twentytwentyfive
 * Text Domain:	   twenty-twenty-five-child
 * Description:    Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
 */

@keyframes btnMoveLeftRight {
  0%, 100% {
    transform: translate(0%, -50%);
  }
  50% {
    transform: translate(30%, -50%);
  }
}

@keyframes moveLeftRight {
  0%, 100% {
    transform: translateX(0%);
  }
  50% {
    transform: translateX(30%);
  }
}


b, strong { font-weight: 600; }

a,
button {
	outline: none;
}

.text-accent-1 {
  color: var(--wp--preset--color--accent-1);
}

nav .wp-block-navigation-item__content {
  	transition: opacity 0.2s ease;
}

nav .wp-block-navigation-item__content:hover {
 	text-decoration: none;
  	opacity: 0.7;
}
.nav-join .wp-block-navigation-item__content {
  	background-color: var(--wp--preset--color--custom-dark-gray)!important;
  	border-radius: 900px;
	padding: 11.3px 32px!important;
  	color: white!important;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-button.forminator-button-submit {
    background-color: var(--wp--preset--color--accent-1);
    font-size: var(--wp--preset--font-size--base);
    font-style: normal;
    font-weight: 600;
    border-width: 0;
    color: var(--wp--preset--color--base);
    font-family: inherit;
    letter-spacing: inherit;
    line-height: inherit;
	border-radius: 9999px!important;
    text-decoration: none;
    text-transform: inherit;
  	width: 100%;
}

.forminator-ui.forminator-custom-form[data-design=default] .forminator-button.forminator-button-submit,
.wp-block-buttons .wp-block-button__link {
	display: flex;
    align-items: center;
 	justify-content: space-between;
    padding: 0 0 0 2rem;
    gap: 1.5rem;
  	position: relative;
	box-shadow: 0px 26px 33.1px -15px #E91D1D59;
  	transition: box-shadow 0.2s ease;
  	text-align: left;
}
.forminator-button.forminator-button-submit:hover,
.wp-block-buttons .wp-block-button__link:hover {
  	box-shadow: 0px 4px 10px 0px #E91D1D59;
}
.forminator-button.forminator-button-submit::before,
.wp-block-buttons .wp-block-button__link:hover::before {
	animation: btnMoveLeftRight 1s ease-in-out infinite;
}
.forminator-button.forminator-button-submit::before,
.wp-block-buttons .wp-block-button__link::before {
  	content: '';
  	background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTQiIGhlaWdodD0iMTMiIHZpZXdCb3g9IjAgMCAxNCAxMyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTcuNDE2NjMgMTEuNDE2N0wxMi43NSA2LjA4MzM1TDcuNDE2NjMgMC43NTAwMiIgc3Ryb2tlPSJ3aGl0ZSIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIvPgo8cGF0aCBkPSJNMC43NSA2LjA4MzM3TDEyLjc1IDYuMDgzMzciIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMS41IiBzdHJva2UtbGluZWNhcD0icm91bmQiLz4KPC9zdmc+Cg==);
  	width: 14px;
  	height: 13px;
  	position: absolute;
  	right: 1.5rem;
  	top: 50%;
  	transform: translateY(-50%);
}
.forminator-button.forminator-button-submit::after,
.wp-block-buttons .wp-block-button__link::after {
  	content: '';
	width: 56px;
  	height: 56px;
  	background: #F30B0B;
  	border-radius: 100%;
}


.certification-card .wp-block-cover {
	box-shadow: 0px 29px 40px -13px #0000004D;
  	transition: box-shadow 0.2s ease!important;
}
.certification-card:hover .wp-block-cover {
  	box-shadow: 0px 4px 10px 0px #0000004D;
}
.certification-card .wp-block-cover__inner-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
.certification-card .uagb-container-inner-blocks-wrap {
  	height: 100%;
  	justify-content: start!important;
}
.certification-card .uagb-container-inner-blocks-wrap .certification-card-copy {
 	height: auto;
}
@media (min-width: 786px) {
  	.certification-card .uagb-container-inner-blocks-wrap .certification-card-copy {
    	height: 100%;
  	}
}


.query-block-resources .wp-block-outermost-icon-block {
 	right: 1rem !important;
    bottom: 1rem !important;
    position: absolute !important;
    pointer-events: none !important;
}

.query-loop-filter {
  	box-shadow: 0px 12px 25px 4px rgba(112, 144, 176, 0.2);
  	padding: 1rem 2rem;
  	margin-bottom: 3rem;
  	border-radius: 90px;
  	max-width: fit-content;
    margin: 0 auto;
}

.query-block-resources.wp-block-query .wp-block-post-terms a[href*="article"],
.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block.has-button-active-color a[data-wp-context*="article"].active{
  	color: #340D5E;
  	background-color: #F5ECFF;
}
.query-block-resources.wp-block-query .wp-block-post-terms a[href*="guide"],
.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block.has-button-active-color a[data-wp-context*="guide"].active{
  	color: #941113;
  	background-color: #FFDFE0;
}
.query-block-resources.wp-block-query .wp-block-post-terms a[href*="video"],
.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block.has-button-active-color a[data-wp-context*="video"].active {
  	color: #0A927F;
  	background-color: #D8FCF7;
}
.query-block-resources.wp-block-query .wp-block-post-terms a[href*="webinar"],
.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block.has-button-active-color a[data-wp-context*="webinar"].active {
  	color: #0A294C;
  	background-color: #DEEBFA;
}

.query-block-resources.wp-block-query .wp-block-post-terms a,
.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block a {
  	font-weight: 600;
	text-decoration: none;
  	border-radius: 90px;
	padding: 4px 12px;
   	color: #06060650;
  	transition: color 0.2s ease;
}
.wp-block-create-block-riaco-taxonomy-filter-block.has-button-active-color a.active {
 	color: #060606;
}

.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block a:hover {
  color: black;
}

.query-block-resources.wp-block-query .wp-block-post-terms a {
	pointer-events: none;
}

.query-block-resources .wp-block-post-featured-image {
  overflow: hidden;
}
.query-block-resources .wp-block-post .wp-block-post-featured-image img {
  transition: transform 0.2s ease;
}
.query-block-resources .wp-block-post:hover .wp-block-post-featured-image img {
  transform: scale(1.1);
}
.query-block-resources .wp-block-post:hover .wp-block-outermost-icon-block {
	animation: moveLeftRight 1s ease-in-out infinite;
}
.query-block-resources .wp-block-post .wp-block-read-more {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
}

.query-block-resources .wp-block-create-block-riaco-taxonomy-filter-block {
 	gap: 1rem;
}

ul.footer-nav li:first-child {
  	display: none;
}

ul.footer-nav .nav-join .wp-block-navigation-item__content {
  	background-color: var(--wp--preset--color--accent-1)!important;
}

/* Post Slider */
.splide .splide__slide {
	width: 80%!important;
}
.splide .splide__pagination {
	gap: 1rem;
}
.splide .splide__pagination__page {
 	background-color: white;
 	width: 15px;
 	height: 15px;
}
.splide .splide__pagination__page.is-active {
  	background-color: var(--wp--preset--color--accent-1)!important;
}
.splide.post-slider--pagination-outside .splide__pagination {
  	bottom: -2.5em!important;
}
/* Desktop */
@media (min-width: 786px) {
	.splide .splide__slide {
		width: 30%!important;
	}
  	.splide.post-slider--pagination-outside .splide__pagination {
  		bottom: -5em!important;
	}
}